# RANSAC

Algorithm implemented from pseudo-code from [wikipedia](https://en.wikipedia.org/wiki/RANSAC)

Implemented in [ransac.Rmd](ransac.Rmd)

It runs in parallele by tweaking mc.cores, but for some reason `mc.cores >= 10` stalls.

## Results

### BRCA

#### k = 2000

[link](brca-2000/ransac.md) : n = 30, threshold = .4, good.fit = .5, k = 30

![](brca-2000/ransac_files/figure-markdown_github/test-2.png)

![](brca-2000/ransac_files/figure-markdown_github/test-1.png)

![](brca-2000/ransac_files/figure-markdown_github/test_perturbation-2.png)

![](brca-2000/ransac_files/figure-markdown_github/test_perturbation-1.png)

### UCLA

#### k = 2000

[link](ucla-2000/ransac.md) : n = 30, threshold = .4, good.fit = .5, k = 2000

![](ucla-2000/ransac_files/figure-markdown_github/test-2.png)

![](ucla-2000/ransac_files/figure-markdown_github/test-1.png)
